# Method: projects.patchDeployments.list

- [HTTP request](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.patchDeployments/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.patchDeployments/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.patchDeployments/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.patchDeployments/list#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.patchDeployments/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.patchDeployments/list#body.ListPatchDeploymentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.patchDeployments/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.patchDeployments/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.patchDeployments/list#try-it)

Get a page of OS Config patch deployments.

### HTTP request

`GET https://osconfig.googleapis.com/v1beta/{parent=projects/*}/patchDeployments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the parent in the form `projects/*`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of patch deployments to return. Default is 100. |
| `pageToken` | `string` Optional. A pagination token returned from a previous call to patchDeployments.list that indicates where this listing should continue from. |

### Request body

The request body must be empty.

### Response body

A response message for listing patch deployments.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "patchDeployments": [ { object (`https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.patchDeployments#PatchDeployment`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `patchDeployments[]` | ``object (`https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.patchDeployments#PatchDeployment`)`` The list of patch deployments. |
| `nextPageToken` | `string` A pagination token that can be used to get the next page of patch deployments. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `osconfig.patchDeployments.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).